List staff members
A person who works gigs — musician, engineer, crew, coordinator. Capabilities live on staff_member_roles; availability on staff_member_blockouts.
Query Parameters
- Type: integerlimitmin:0max:200
Page size, 50 by default, 200 at most.
- Type: integeroffsetmin:0
Records to skip.
- Type: stringsort
Comma-separated fields; prefix with
-for descending. Sortable: full_name, first_name, last_name, preferred_name, status, email, phone, pronouns, base_pay, off_peak_base_pay, street_1, street_2, city, state_region, postal_code, country, dietary_restrictions, notes, created_time, last_edited_time, id. Default: full_name. - Type: stringfields
Comma-separated subset of fields to return.
idis always included. - filter[full
_name] Shorthand
filter[full_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[full_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[first
_name] Shorthand
filter[first_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[first_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[last
_name] Shorthand
filter[last_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[last_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[preferred
_name] Shorthand
filter[preferred_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[preferred_name]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[status]
Shorthand
filter[status]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.- Type: "active" or "inactive"enum
Shorthand
filter[status]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.
- filter[email]
Shorthand
filter[email]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: stringFormat: email
Shorthand
filter[email]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[phone]
Shorthand
filter[phone]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[phone]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[pronouns]
Shorthand
filter[pronouns]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[pronouns]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[base
_pay] Shorthand
filter[base_pay]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[base_pay]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[off
_peak _base _pay] Shorthand
filter[off_peak_base_pay]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[off_peak_base_pay]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[street
_1] Shorthand
filter[street_1]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[street_1]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[street
_2] Shorthand
filter[street_2]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[street_2]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[city]
Shorthand
filter[city]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[city]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[state
_region] Shorthand
filter[state_region]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[state_region]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[postal
_code] Shorthand
filter[postal_code]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[postal_code]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[country]
Shorthand
filter[country]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[country]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[dietary
_restrictions] Shorthand
filter[dietary_restrictions]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[dietary_restrictions]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[notes]
Shorthand
filter[notes]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[notes]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[created
_time] Shorthand
filter[created_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[created_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
- filter[last
_edited _time] Shorthand
filter[last_edited_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[last_edited_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
Responses
- application/json
- application/json
- application/json
- application/json
curl 'https://api.hireorpheus.com/api/v1/staff-members?limit=50&offset=0&sort=full_name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"full_name": null,
"first_name": null,
"last_name": null,
"preferred_name": null,
"status": "active",
"email": null,
"phone": null,
"pronouns": null,
"base_pay": null,
"off_peak_base_pay": null,
"street_1": null,
"street_2": null,
"city": null,
"state_region": null,
"postal_code": null,
"country": null,
"dietary_restrictions": null,
"notes": null,
"created_time": "2026-10-14T08:02:53.591Z",
"last_edited_time": "2026-10-14T08:02:53.591Z"
}
],
"meta": {
"total": 1,
"limit": 1,
"offset": 1
}
}